Subject: 29.0.60; imenu: Variables defined via defvar-keymap are not listed

From: Daniel Mendler <[email-masked]>
Date: Thu, 15 Dec 2022 15:49:31 +0100

Keymaps defined via `defvar-keymap' are not available in the Imenu. It is
necessary to extend `imenu-generic-expression'.

In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw scroll bars) of 2022-12-11 built on projects
Repository revision: f221105723dc8d3ee9f3c8d1c2717058afbc6666
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)